Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libwpd
Version:	0.8.14
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://libwpd.sourceforge.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name}  a library for importing WordPerfect (tm) documents
BuildRequires:  glibc-devel
BuildRequires:  glib-devel
BuildRequires:  libgsf-devel
BuildRequires:  libstdc++-devel
BuildRequires:	bzip2-devel 
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
libwpd is a C++ library designed to help process WordPerfect documents.
It is most commonly used to import WordPerfect documents into other
word processors (see below), but may be useful in other cases as well.
libwpd exposes a simple callback-based API (similar to SAX), allowing
it to be easily plugged into any C or C++ application.
It strictly depends only on an implementation of the STL, although by
interfacing with a library which abstracts the Microsoft OLE format
(such as libgsf), you gain the ability to import
OLE-embedded WordPerfect documents.

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package        doc
Summary:        %{name} documentation files.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    doc
documentation files for %{name}.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
#%_datadir/doc

%files devel
%defattr(-,root,root)
%_pkgconfig
%_libdir/*.so
%_libdir/*.la
%_includedir

%files doc
%defattr(-,root,root)
%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.14-1
- Version update
* Sun Jan 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.13-1
- Version update
* Tue Sep 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.11-1
- Version update
* Sat Mar 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.9-1
- version update
* Mon Jun 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.5-1
- version update
* Wed May 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.4-1
- Initial Release
